// format is 
// 'nodeid': [lat, long, "Name", "Description", "url"]
// nodeid should be lowercase (for simplicity)
// lat/long must be decimal coords.
// Name and Description can be anything, valid HTML helps, so escape ampersands etc...
// url is optional

freenet_nodes = {

	"perthap": [-31.959661, 115.872303, "PerthAP", ""],
	"wannerooap": [-31.790564, 115.820094, "WannerooAP", ""],
	"belmont2": [-31.959497, 115.928478, "Belmont2", ""],
	"mitchland": [-31.788281, 115.769639, "MitchLand", ""],
	"mystic": [-31.772086, 115.762192, "Mystic", ""],
	"nhe": [-31.774867, 115.818853, "NHE (Welvis)", ""],
	"doubleview": [-31.894761, 115.780794, "KodEBlaK", ""],
	"belmontap": [-31.951286, 115.920939, "BelmontAP", ""],
	"frogstar1": [-31.770429, 115.76983, "Frogstar 1", "15m", "http://www.wafreenet.org/node-Frogstar"],
	"frogstar2": [-31.767973, 115.771309, "Frogstar 2", "22m", "http://www.wafreenet.org/node-Frogstar"],
	"tichill": [-31.825769, 116.064408, "TIC Hill", ""],
	"niak": [-32.101311, 115.943632, "niak", ""],
	"msh": [-31.9285, 115.9085, "msh", ""],
	"kaelnorr": [-31.6779966, 115.7161922, "kaelnorr", "", ""],
	// the following are guessed from the map.
	"duncraig": [-31.83017,115.772552, "Duncraig", "", "http://www.wafreenet.org/node-Duncraig"],
	"spiked": [-31.812521,115.86113, "Spiked", "", "http://www.wafreenet.org/node-Spiked"],
	"dericote": [-31.831774,115.803795, "Dericote", "", "http://www.wafreenet.org/node-Dericote"],
	"vipernet": [-31.842566,115.801907, "Vipernet", "", "http://www.wafreenet.org/node-Vipernet"],
	"bungknee": [-31.739263,115.801392, "Bungknee", "", ""],
	"wirelesshill": [-32.030754,115.827302, "Wireless Hill", "", ""],
	"jandakot": [-32.099736,115.870743, "Jandakot", "", "http://www.wafreenet.org/node-Jandakot"],
	"armadale": [-32.128669,116.002235, "ArmadaleAP", "", "http://www.wafreenet.org/node-ArmadaleAP"],
	"sgnet": [-32.132304,115.997772, "SGNet", "", "http://www.wafreenet.org/node-SGNet"]
};

// format is ['kind', 'node1', 'node2'].
// Make sure that nodes are defined in the freenet_nodes list above.
// Defined kinds are:
// '2ghz', '5ghz', 'vpn'.

freenet_links = [
  [ '5ghz', 'perthap', 'tichill'],
  [ '5ghz', 'niak', 'tichill'],
  [ '5ghz', 'mitchland', 'mystic'],
  [ '5ghz', 'nhe', 'mitchland'],
  [ '5ghz', 'belmontap', 'belmont2'],
  [ '5ghz', 'perthap', 'belmont2'],
  [ '5ghz', 'msh', 'perthap'],
  [ '5ghz', 'mystic', 'frogstar1'],
  [ '5ghz', 'mitchland', 'frogstar1'],
  [ 'vpn', 'mitchland', 'kaelnorr'],
  [ '5ghz', 'mitchland', 'wannerooap'],
  [ '5ghz', 'mystic', 'wannerooap'],
  [ '5ghz', 'doubleview', 'wannerooap'],
  [ '5ghz', 'doubleview', 'perthap'],
  [ '5ghz', 'duncraig', 'nhe'],
  [ '2ghz', 'mystic', 'spiked'],
  [ '2ghz', 'mystic', 'dericote'],
  [ '5ghz', 'mystic', 'vipernet'],
  [ '2ghz', 'jandakot', 'armadale'],
  [ '2ghz', 'sgnet', 'armadale']
];
